## django-dirtyfields 1.2.1

=== requirements.txt ===
Django>=1.4
pytz>=2015.7

=== debian/changelog ===
django-dirtyfields (1.2.1-1) unstable; urgency=low

  * source package automatically created by stdeb 0.8.5 (Closes: #856888).

 -- Christopher Hoskin <mans0954@debian.org>  Sun, 05 Mar 2017 22:16:16 +0000

=== debian/control ===
Source: django-dirtyfields
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Christopher Hoskin <mans0954@debian.org>
Section: python
Priority: optional
Build-Depends: dh-python, python-setuptools, python3-setuptools, python-all, python3-all, debhelper (>= 9),
 python-pytest, python3-pytest, python3-sphinx, python-pytest-django, python3-pytest-django, python-django, python3-django,
 python-tz, python3-tz
Standards-Version: 3.9.8
Homepage: http://github.com/romgar/django-dirtyfields
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/django-dirtyfields.git
Vcs-Browser: https://anonscm.debian.org/git/python-modules/packages/django-dirtyfields.git


Package: python-django-dirtyfields
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Description: package for tracking dirty fields on a Django model instance (Python 2)
 django-dirtyfields is a package for tracking dirty fields on a Django model
 instance, where dirty means that field in-memory and database values are
 different.
 .
 This is the Python 2 version of the package.

Package: python3-django-dirtyfields
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: package for tracking dirty fields on a Django model instance (Python 3)
 django-dirtyfields is a package for tracking dirty fields on a Django model
 instance, where dirty means that field in-memory and database values are
 different.
 .
 This is the Python 3 version of the package. 

Package: python-django-dirtyfields-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: package for tracking dirty fields on a Django model instance (documentation)
 django-dirtyfields is a package for tracking dirty fields on a Django model
 instance, where dirty means that field in-memory and database values are
 different.
 .
 This is the documentation package.

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/django-dirtyfields/django-dirtyfields-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## django-dirtyfields 1.3

=== requirements.txt ===
Django>=1.8
pytz>=2015.7

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest coverage gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/django-dirtyfields.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/django-dirtyfields.qhc"

applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/django-dirtyfields"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/django-dirtyfields"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== debian/changelog ===
django-dirtyfields (1.3-1) unstable; urgency=medium

  * Use GitHub for upstream source tarball
  * New upstream release (1.3)
  * Remove whitespace
  * Update Standards-Version from 3.9.8 to 4.1.1 (no change required)

 -- Christopher Hoskin <mans0954@debian.org>  Mon, 30 Oct 2017 23:25:37 +0000

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: dh-python, python-setuptools, python3-setuptools, python-all, python3-all, debhelper (>= 9),
  python-pytest, python3-pytest, python3-sphinx, python-pytest-django, python3-pytest-django, python-django, python3-django,
  python-tz, python3-tz
-Standards-Version: 3.9.8
+Standards-Version: 4.1.1
 Homepage: http://github.com/romgar/django-dirtyfields
 Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/django-dirtyfields.git
 Vcs-Browser: https://anonscm.debian.org/git/python-modules/packages/django-dirtyfields.git
@@ -30,7 +30,7 @@
  instance, where dirty means that field in-memory and database values are
  different.
  .
- This is the Python 3 version of the package. 
+ This is the Python 3 version of the package.
 
 Package: python-django-dirtyfields-doc
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

export DJANGO_SETTINGS_MODULE=tests.django_settings

# This file was automatically generated by stdeb 0.8.5 at
# Sun, 05 Mar 2017 20:55:09 +0000
export PYBUILD_NAME=django-dirtyfields
%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build: export http_proxy=127.0.0.1:9
override_dh_auto_build: export https_proxy=127.0.0.1:9
override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. sphinx-build -N -bhtml docs/ build/html # HTML generator

=== debian/tests/control ===
Test-Command: set -e ; for py in $(pyversions -r 2>/dev/null) ; do cd "$ADTTMP" ; echo "Testing with $py:" ; $py -c "import dirtyfields; print dirtyfields" ; done
Depends: python-all, python-django-dirtyfields

Test-Command: set -e ; for py in $(py3versions -r 2>/dev/null) ; do cd "$ADTTMP" ; echo "Testing with $py:" ; $py -c "import dirtyfields; print(dirtyfields)" ; done
Depends: python3-all, python3-django-dirtyfields

## django-dirtyfields 1.3.1

=== debian/changelog ===
django-dirtyfields (1.3.1-5) unstable; urgency=medium

  * Team Upload
  * Replace dependency on transitional python3-tz with new python3-pytz

 -- Alexandre Detiste <tchet@debian.org>  Sun, 16 Nov 2025 00:32:24 +0100

django-dirtyfields (1.3.1-4) unstable; urgency=medium

  [ Debian Janitor ]
  * Update standards version to 4.6.0, no changes needed.
  * Update standards version to 4.6.1, no changes needed.
  * Apply multi-arch hints. + python-django-dirtyfields-doc: Add Multi-Arch: foreign.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 22 Oct 2022 11:33:09 +0100

django-dirtyfields (1.3.1-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Remove obsolete field Name from debian/upstream/metadata (already present in
    machine-readable debian/copyright).

  [ Christopher Hoskin ]
  * Bump compat from 12 to 13

  [ Debian Janitor ]
  * Update standards version to 4.5.1, no changes needed.

 -- Sandro Tosi <morph@debian.org>  Sun, 24 Apr 2022 01:51:07 -0400

django-dirtyfields (1.3.1-2) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * d/tests: Use AUTOPKGTEST_TMP instead of ADTTMP
  * Convert git repository from git-dpm to gbp layout
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs
  * Use debhelper-compat instead of debian/compat.
  * Drop Python 2 support.
  * Bump debhelper compat level to 12.
  * Bump standards version to 4.4.0 (no changes).

  [ Christopher Hoskin ]
  * Add .pytest_cache/ to clean

  [ Andrey Rahmatullin ]
  * Fix running tests with the current Django version.

 -- Andrey Rahmatullin <wrar@debian.org>  Thu, 15 Aug 2019 22:00:17 +0500

django-dirtyfields (1.3.1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org

  [ Christopher Hoskin ]
  * New upstream release (1.3.1)
  * Use secure URL for homepage
  * Bump debhelper compat from 9 to 11
  * Add upstream/metadata
  * Bump Standards Version from 4.1.1 to 4.1.3 (no change required)
  * Update copyright

 -- Christopher Hoskin <mans0954@debian.org>  Tue, 03 Apr 2018 22:29:04 +0100

=== debian/control ===
Source: django-dirtyfields
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Christopher Hoskin <mans0954@debian.org>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3-all,
 python3-django,
 python3-pytest,
 python3-pytest-django,
 python3-pytz,
 python3-setuptools,
 python3-sphinx,
Standards-Version: 4.7.2
Homepage: https://github.com/romgar/django-dirtyfields
Vcs-Git: https://salsa.debian.org/python-team/packages/django-dirtyfields.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/django-dirtyfields

Package: python3-django-dirtyfields
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: package for tracking dirty fields on a Django model instance (Python 3)
 django-dirtyfields is a package for tracking dirty fields on a Django model
 instance, where dirty means that field in-memory and database values are
 different.
 .
 This is the Python 3 version of the package.

Package: python-django-dirtyfields-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Multi-Arch: foreign
Description: package for tracking dirty fields on a Django model instance (documentation)
 django-dirtyfields is a package for tracking dirty fields on a Django model
 instance, where dirty means that field in-memory and database values are
 different.
 .
 This is the documentation package.

=== debian/rules ===
#!/usr/bin/make -f

export DJANGO_SETTINGS_MODULE=tests.django_settings
export PYBUILD_NAME=django-dirtyfields

%:
	dh $@ --with sphinxdoc --buildsystem=pybuild

override_dh_auto_build: export http_proxy=127.0.0.1:9
override_dh_auto_build: export https_proxy=127.0.0.1:9
override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. python3 -m sphinx -N -bhtml docs/ build/html # HTML generator

override_dh_installdocs:
	dh_installdocs --doc-main-package=python-django-dirtyfields-doc -p python-django-dirtyfields-doc
	dh_installdocs -p python3-django-dirtyfields

=== debian/tests/control ===
Test-Command: set -e ; for py in $(py3versions -r 2>/dev/null) ; do cd "$AUTOPKGTEST_TMP" ; echo "Testing with $py:" ; $py -c "import dirtyfields; print(dirtyfields)" ; done
Depends:
 python3-all,
 python3-django-dirtyfields,
Restrictions:
 superficial,
